/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.plugin.dbee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.plugin.dbee.BlancoDbEEPluginConstants;

/**
 */
public abstract class AbstractBlancoDbEEWizardPage99 extends WizardPage {
    /**
     */
    protected ISelection selection;

    /**
     *
     * @param selection
     */
    public AbstractBlancoDbEEWizardPage99(final ISelection selection) {
        super("wizardPage");
        setTitle("blancoDb Enterprise Editionプラグイン利用支援ウィザードの完了");
        this.selection = selection;
    }

    /**
     *
     * @param parent
     */
    public void createControl(final Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE).setText("blancoDb Enterprise Editionプラグイン利用支援ウィザードは これで完了しました。");
        new Label(container, SWT.NONE).setText("  1.ウィザードを完了後に 「blancoDb Enterprise Edition設定ファイル エディタ」が表示されます。");
        new Label(container, SWT.NONE).setText("    この画面は " + BlancoDbEEPluginConstants.TARGET_FILENAME + "ファイルのエディタプログラムに相当します。");
        new Label(container, SWT.NONE).setText("  2.画面表示に従って操作を進めてください。");

        setControl(container);
    }
}
